<?php use_helper('UrlFunctions');?>
<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>
<?php

if(myUser::getUser()->getRoleId() == "sys.res"){
 	$idAdministrador = myUser::getUser()->getIdColaborador();
}elseif(myUser::getUser()->getIdPadre() || myUser::getUser()->getRoleId() == "sys.ope" || myUser::getUser()->getRoleId() == "sys.hip"){
	$o_ColaboradorBean_Temp = new ColaboradorBean();
	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
	$o_ColaboradorBL_Temp = new ColaboradorBL();
	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
	$idAdministrador = $o_ColaboradorBeanResult[0]->getIdPadre();
}elseif(myUser::getUser()->getIdPadre() == "0"){ //Todos los Padres Rol actualmente sys.gen y sys.view
	//SIN FILTRO
}else{
	$idAdministrador = myUser::getUser()->getIdColaborador();
}

if($idAdministrador){
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	
	$IdSucursal = $a_o_sucursal[0]->getIdSucursal();

}



if( myUser::getUser()->getRoleId() == "sys.hip"){
	$o_BalanceDia = new BalanceDiaBean();
	$o_BalanceDia->setIdSucursal($IdSucursal);
	$o_BalanceDia->setIdAdministrador($idAdministrador);
	
	$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
	$fecha = $o_BalanceDiaDP->ObtenerDiaAbierto();
	
}else{
	$o_cierreDiaFN = new CrCierrehipotecaCFN();
    $fecha = $o_cierreDiaFN->obtenerDiaAbiertoHipoteca($IdSucursal);
}

//Listar todos los representantes
$o_Representante = new ColaboradorBean();
$o_Representante->setIdPadre($idAdministrador);
$o_Representante->setEstado('A');
$o_RepresentanteDP = new  ColaboradorDP($o_Representante);
$a_o_RepresentanteDP = $o_RepresentanteDP->select();



if(isset($control)){
  
  $o_NCComentarioDP= new CrCreditoCronoComentarioDP();
  
  $o_NCComentarioDP->setIdcreditocrono($idCreditoCrono);
  $o_NCComentarioDP->setFechatrx($fecha);
  $o_NCComentarioDP->setComentario($Observacion);
  $o_NCComentarioDP->setFlagConfidencial($flagconfidencial);
  
  $o_NCComentarioDP->setFechaCreacion(date("Y-m-d H:i:s"));
  $o_NCComentarioDP->setUsuarioCreacion(myUser::getUser()->getUserId());
  $bResult = $o_NCComentarioDP->save();
  
  
   
  if($bResult){
     if(!$noredir){?>
	    <script language="JavaScript">
	   // parent.objMainTab.reqBody('<?=buildUrl('pgh/showPayments')?>','&block=006&insert=1&i_Id=<?=$idCreditoCrono;?>');
	    parent.objMainTab.windowsCloseAll();
		parent.buscarahora();
	    </script>
    <?
     }else{
    	?>
    	<script language="JavaScript">
	    	parent.objMainTab.windowsCloseAll();
	    </script>
	    <?
    }
  }else{
    $url = buildUrl('cli/add', "block=".$block."&error=1");
  }
  exit;
}

  //Mercados
  $o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
  $a_Mercado = $o_ClienteSystemClass->LoadMercadoXRol();
  
  //Tipos de Negocio
  $o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
  $a_TipoNegocio = $o_ClienteSystemClass->getTipoNegocio();

//Cargar Documento
 $o_ClienteSystemClass = new ClienteSystemClass(new DocumentoBean());
 $a_o_Documento = $o_ClienteSystemClass->getDocumento();
 
 ?>
 <script type="text/javascript">
        tinyMCE.init({
                // General options
                
                mode: 'exact',
                elements: 'Observacion',
                language: 'es',
    
                //mode : "textareas",
                theme : "advanced",
                plugins : "",

                // Theme options
                theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,styleselect",
                theme_advanced_buttons2 : "bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,forecolor,backcolor,|,formatselect,fontselect,fontsizeselect",
                
                
                theme_advanced_toolbar_location : "top",
                theme_advanced_toolbar_align : "left",
                theme_advanced_statusbar_location : "bottom",
                theme_advanced_resizing : true,

                // Example content CSS (should be your site CSS)
                content_css : "examples/css/content.css",

                // Drop lists for link/image/media/template dialogs
                //template_external_list_url : "examples/lists/template_list.js",
                //external_link_list_url : "examples/lists/link_list.js",
                //external_image_list_url : "examples/lists/image_list.js",
                //media_external_list_url : "examples/lists/media_list.js",

                // Replace values for the template plugin
                template_replace_values : {
                        username : "Some User",
                        staffid : "991234"
                }
        });
</script>

<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" width="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Credito con cronograma</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Adicionar comentario</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
    
  <tr>
    <td valign="top">
     <form id="form1" name="form1" method="POST">
      <input type="hidden" name="control" value="1">
      
        <table hspace="20px" class="marco" width="96%">
          <tr>
            <td valign="top" colspan="2">
	
              <table width="100%" border="0" cellpadding="5" cellspacing="0" style="background: #E3E9E2">
          		<tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos Generales</I></legend>
    					 <table width="100%" border="0" cellspacing="6" cellpadding="0">
							  <tr>
								<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtDniCliente" >Fecha </label></td>
								<td nowrap="nowrap" width="38%"><label class="label"><?=$fecha?></label></td>
								 <td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
								 
							   </tr>
							  
							  <!--<tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtApellidoPaterno">Referencia </label></td>
								<td nowrap="nowrap" width="38%"><select class="combo" name="cboEmpleado" id="cboEmpleado_<?=$iKey?>">
			                  	  <option value="" > - Seleccionar - </option>
			                 	  <?php
			                 	  reset($a_o_RepresentanteDP);
			                 	   foreach ($a_o_RepresentanteDP as $iKey => $o_RepresentanteDP){ ?>
			                  	   <option value="<?=$o_RepresentanteDP->getIdColaborador()?>">
			                    	<?=$o_RepresentanteDP->getNombreCompleto()?>
			                   	   </option>
			                  		<?php } ?>
			                		</select></td>
								 <td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
								
							  </tr>-->
			                 	   <tr>
			                 	   	<td></td>
			                 	   	<td colspan="2"><input type="checkbox" name="flagconfidencial" value="1">Este comentario es confidencial</td>
			                 	   </tr>
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Comentario</label></td>
								<td nowrap="nowrap" width="38%"><textarea  name="Observacion" id="Observacion" cols="50" rows="2"></textarea></td>
								 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								
							  </tr>
							  
							  
						</table>
    					</fieldset>				
    				</td>
                </tr>
    			</table>
  				   <table width="100%" border="0" cellspacing="0" cellpadding="0">
				  <tr>
					<td><img src="/images/common/spacer.gif" width="10"></td>
					 </tr>
						<tr>
						 <td align="center">
						  <input type="hidden" name="typeSubmit" id="typeSubmit">
						  <input type="hidden" name="noredir" id="noredir" value="<?=$noredir?>">
						  <input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='list';">
						   <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
						  </td>
						</tr>
						<tr>
					<td height="10">&nbsp;</td>
				 </tr>
			    </table>
				</fieldset>
          		 </td>
        		</tr>
				<tr>
      			</table>
      			
     		</form>
			<script type="text/javascript">
				var valid = new Validation('form1', {immediate : true});
			</script>
			</td>
  		  </tr>
		</table>
    </td>
  </tr>
</table>
